import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';

import '../props/UikBagItemProps.dart';

class UikBagItem extends UikWidget {
  WidgetType _widgetType;
  UikBagItemProps _uikBagItemProps;
  UikBagItem(this._widgetType, this._uikBagItemProps)
      : super(_widgetType, _uikBagItemProps);

  @override
  _UikBagItemState createState() => _UikBagItemState(_uikBagItemProps);
}

class _UikBagItemState extends State<UikBagItem> {
  UikBagItemProps _uikBagItemProps;
  _UikBagItemState(this._uikBagItemProps);

  @override
  Widget build(BuildContext context) {
    var screenWidth = MediaQuery.of(context).size.width;
    var itemWidth = (screenWidth - 48) * 0.3; // Adjust the percentage as needed
    var itemHeight = itemWidth;
    return Align(
      child: Padding(
        padding: EdgeInsets.symmetric(horizontal: 16, vertical: 4),
        child: Container(
          margin: EdgeInsets.only(top: 1),
          width: double.maxFinite,
          padding: EdgeInsets.symmetric(vertical: 5),
          decoration: BoxDecoration(
            color: Color(0XE5FFFFFF),
            // border: Border.all(
            //   color: Color(0XFFE0E0E0),
            //   width: 1,
            // )
          ),
          child: Container(
            height: 130,
            decoration: BoxDecoration(
              color: Color(0XE5FFFFFF),
              borderRadius: BorderRadius.circular(6),
              boxShadow: const [
                BoxShadow(
                    color: Color.fromARGB(58, 176, 175, 175),
                    spreadRadius: 2,
                    blurRadius: 2,
                    offset: Offset(0, 4))
              ],
            ),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Flexible(
                  child: Container(
                    padding: const EdgeInsets.all(8.0),
                    width: itemWidth,
                    height: itemHeight,
                    margin: EdgeInsets.only(left: 0, top: 6.5),
                    decoration: BoxDecoration(
                      color: Color(0xFFF9F0E9),
                      borderRadius: const BorderRadius.only(
                        topLeft: Radius.circular(8.0),
                        topRight: Radius.circular(8.0),
                        bottomRight: Radius.circular(8.0),
                        bottomLeft: Radius.circular(8.0),
                      ),
                      image: DecorationImage(
                        image: NetworkImage(_uikBagItemProps.imageUrl),
                        fit: BoxFit.cover,
                      ),
                      //shape: BoxShape.circle,
                    ),
                  ),
                ),
                Padding(
                  padding: EdgeInsets.only(top: 4, bottom: 11),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      SizedBox(height: 2),
                      Row(
                        children: [
                          Text(_uikBagItemProps.productPrice,
                              style: TextStyle(
                                fontFamily: GoogleFonts.poppins().fontFamily,
                                fontWeight: FontWeight.w900,
                                fontSize: 16,
                                color: Color(0xFF212121),
                              )),
                          Padding(
                            padding: const EdgeInsets.only(left: 170),
                            child: Icon(
                              Icons.cancel_outlined,
                              size: 20,
                            ),
                          )
                        ],
                      ),
                      SizedBox(height: 2),
                      Container(
                        width: 201,
                        height: 32,
                        //                 // color: Colors.black,
                        child: Text(
                          _uikBagItemProps.productDescription,
                          style: TextStyle(
                            fontWeight: FontWeight.w400,
                            fontFamily: GoogleFonts.poppins().fontFamily,
                            fontSize: 12,
                            color: Color(0xFF9E9E9E),
                          ),
                        ),
                      ),
                    ],
                  ),
                ),
                SizedBox(height: 10),
              ],
            ),
          ),
        ),
      ),
    );
    // return Column(
    //   crossAxisAlignment: CrossAxisAlignment.start,
    //   children: [
    //     Container(
    //       width: 400,
    //       height: 150,
    //       child: Row(
    //         children: [
    //           //............................................Image...................................................//
    //           Flexible(
    //             child: Container(
    //               width: 94,
    //               height: 115,
    //               margin: EdgeInsets.only(left: 16),
    //               decoration: BoxDecoration(
    //                 borderRadius: BorderRadius.circular(8),
    //                 image: DecorationImage(
    //                   image: NetworkImage(_uikBagItemProps.imageUrl),
    //                   fit: BoxFit.cover,
    //                 ),
    //                 // shape: BoxShape.circle,
    //               ),
    //             ),
    //           ),
    //           SizedBox(width: 16),
    //           //...............................................ImgPrice.........................................//
    //           Column(
    //             crossAxisAlignment: CrossAxisAlignment.start,
    //             children: [
    //               SizedBox(height: 14),
    //               Container(
    //                 width: 201,
    //                 height: 24,
    //                 child: Text(
    //                   _uikBagItemProps.productPrice,
    //                   style: TextStyle(
    //                     fontFamily: GoogleFonts.poppins().fontFamily,
    //                     fontWeight: FontWeight.w500,
    //                     fontSize: 16,
    //                     color: Color(0xFF212121),
    //                   ),
    //                 ),
    //               ),
    //               //........................................................ImgDescription..............................//
    //               Container(
    //                 width: 201,
    //                 height: 32,
    //                 // color: Colors.black,
    //                 child: Text(
    //                   _uikBagItemProps.productDescription,
    //                   style: TextStyle(
    //                     fontWeight: FontWeight.w400,
    //                     fontFamily: GoogleFonts.poppins().fontFamily,
    //                     fontSize: 12,
    //                     color: Color(0xFF9E9E9E),
    //                   ),
    //                 ),
    //               ),
    //               const SizedBox(height: 20),
    //               Container(
    //                 child: (_uikBagItemProps.deleteIcon != null)
    //                     ? _uikBagItemProps.deleteIcon
    //                     : null,
    //               ),
    //             ],
    //           ),
    //         ],
    //       ),
    //     ),
    //   ],
    // );
  }
}
