import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikDropDownContainerProps.dart';

class UikDropDownContainer extends UikWidget {
  WidgetType _widgetType;

  final UikDropDownContainerProps _uikDropDownContainerProps;

  UikDropDownContainer(this._widgetType, this._uikDropDownContainerProps)
      : super(_widgetType, _uikDropDownContainerProps);

  @override
  _UikDropDownContainerState createState() =>
      _UikDropDownContainerState(_uikDropDownContainerProps);
}

class _UikDropDownContainerState extends State<UikDropDownContainer> {
  final UikDropDownContainerProps _uikDropDownContainerProps;

  _UikDropDownContainerState(this._uikDropDownContainerProps);

  bool isExpanded = false;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        GestureDetector(
          onTap: () {
            setState(() {
              isExpanded = !isExpanded;
            });
          },
          child: Container(
            padding: EdgeInsets.all(16),
            child: Row(
              children: [
                Expanded(
                  child: _uikDropDownContainerProps.title!,
                ),
                Icon(
                  isExpanded
                      ? Icons.keyboard_arrow_down
                      : Icons.keyboard_arrow_right,
                  size: 30,
                ),
              ],
            ),
          ),
        ),
        if (isExpanded)
          Column(
            children: [
              Container(
                  color: Color.fromRGBO(236, 235, 235, 0.601),
                  padding: EdgeInsetsDirectional.only(end: 20, start: 0),
                  child: Html(data: _uikDropDownContainerProps.html))
            ],
          ),
      ],
    );
  }
}
