import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikColumn.dart';
import 'package:ui_sdk/components/UikContainerText.dart';
import 'package:ui_sdk/components/UikImage.dart';
import 'package:ui_sdk/components/UikListTile.dart';
import 'package:ui_sdk/components/UikWebView.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikColumnProps.dart';
import 'package:ui_sdk/props/UikContainerTextProps.dart';
import 'package:ui_sdk/props/UikImageProps.dart';
import 'package:ui_sdk/props/UikWebViewWithHtmlProps.dart';

import '../../components/UikAvatar.dart';
import '../../components/UikButton.dart';
import '../../components/UikSimpleColumn.dart';
import '../../components/UikText.dart';
import '../../props/UikAvatarProps.dart';
import '../../props/UikButtonProps.dart';
import '../../props/UikListTileProps.dart';
import '../../props/UikDropDownContainerProps.dart';
import '../../props/UikSimpleColumnProps.dart';
import '../../props/UikTextProps.dart';

UikDropDownContainerProps $UikDropDownContainerPropsFromJson(
    Map<String, dynamic> json) {
  final UikDropDownContainerProps uikDropDownContainerProps =
      UikDropDownContainerProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  final String? title = jsonConvert.convert<String>(json["title"]);
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);

  if (id != null) {
    uikDropDownContainerProps.id = id;
  }

  if (title != null) {
    uikDropDownContainerProps.title =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json["title"]));
  }

  final String? html = jsonConvert.convert<String>(json['html']);
  if (id != null) {
    uikDropDownContainerProps.html = html!;
  }

  return uikDropDownContainerProps;
}

Map<String, dynamic> $UikDropDownContainerPropsToJson(
    UikDropDownContainerProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['html'] = entity.html;
  return data;
}
